# Method: projects.jobs.list

- [HTTP request](https://docs.cloud.google.com/talent-solution/job-search/v3/docs/reference/rest/v3p1beta1/projects.jobs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/talent-solution/job-search/v3/docs/reference/rest/v3p1beta1/projects.jobs/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/talent-solution/job-search/v3/docs/reference/rest/v3p1beta1/projects.jobs/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/talent-solution/job-search/v3/docs/reference/rest/v3p1beta1/projects.jobs/list#body.request_body)
- [Response body](https://docs.cloud.google.com/talent-solution/job-search/v3/docs/reference/rest/v3p1beta1/projects.jobs/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/talent-solution/job-search/v3/docs/reference/rest/v3p1beta1/projects.jobs/list#body.ListJobsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://docs.cloud.google.com/talent-solution/job-search/v3/docs/reference/rest/v3p1beta1/projects.jobs/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/talent-solution/job-search/v3/docs/reference/rest/v3p1beta1/projects.jobs/list#try-it)

Lists jobs by filter.

### HTTP request

`GET https://jobs.googleapis.com/v3p1beta1/{parent=projects/*}/jobs`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the project under which the job is created. The format is "projects/{projectId}", for example, "projects/api-test-project". |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` Required. The filter string specifies the jobs to be enumerated. Supported operator: =, AND The fields eligible for filtering are: - `companyName` (Required) - `requisitionId` (Optional) Sample Query: - companyName = "projects/api-test-project/companies/123" - companyName = "projects/api-test-project/companies/123" AND requisitionId = "req-1" |
| `pageToken` | `string` Optional. The starting point of a query result. |
| `pageSize` | `integer` Optional. The maximum number of jobs to be returned per page of results. If `https://docs.cloud.google.com/talent-solution/job-search/v3/docs/reference/rest/v3p1beta1/projects.jobs/list#body.QUERY_PARAMETERS.job_view` is set to `https://docs.cloud.google.com/talent-solution/job-search/v3/docs/reference/rest/v3p1beta1/JobView#ENUM_VALUES.JOB_VIEW_ID_ONLY`, the maximum allowed page size is 1000. Otherwise, the maximum allowed page size is 100. Default is 100 if empty or a number \< 1 is specified. |
| `jobView` | ``enum (`https://docs.cloud.google.com/talent-solution/job-search/v3/docs/reference/rest/v3p1beta1/JobView`)`` Optional. The desired job attributes returned for jobs in the search response. Defaults to `https://docs.cloud.google.com/talent-solution/job-search/v3/docs/reference/rest/v3p1beta1/JobView#ENUM_VALUES.JOB_VIEW_FULL` if no value is specified. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Output only.

List jobs response.

| JSON representation ||
|---|---|
| ``` { "jobs": [ { object (`https://docs.cloud.google.com/talent-solution/job-search/v3/docs/reference/rest/v3p1beta1/projects.jobs#Job`) } ], "nextPageToken": string, "metadata": { object (`https://docs.cloud.google.com/talent-solution/job-search/v3/docs/reference/rest/v3p1beta1/ResponseMetadata`) } } ``` |

| Fields ||
|---|---|
| `jobs[]` | ``object (`https://docs.cloud.google.com/talent-solution/job-search/v3/docs/reference/rest/v3p1beta1/projects.jobs#Job`)`` The Jobs for a given company. The maximum number of items returned is based on the limit field provided in the request. |
| `nextPageToken` | `string` A token to retrieve the next page of results. |
| `metadata` | ``object (`https://docs.cloud.google.com/talent-solution/job-search/v3/docs/reference/rest/v3p1beta1/ResponseMetadata`)`` Additional information for the API invocation, such as the request tracking id. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/jobs`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).